/* ########## 4.1 Background ########## */

.u-bg--transparent {
   background-color: transparent !important;
}

.u-bg--gray-darker {
   background-color: darken($gray-dark, 3%) !important;
}

.u-bg--gray-dark {
   background-color: $gray-dark !important;
}

.u-bg--gray-dark-light {
   background-color: lighten($gray-dark, 5%) !important;
}

.u-bg--gray {
   background-color: $gray !important;
}

.u-bg--gray-light {
   background-color: $gray-light !important;
}

.u-bg--gray-lighter {
   background-color: $gray-lighter !important;
}

.u-bg--gray-lightest {
   background-color: $gray-lightest !important;
}

.u-bg--white {
   background-color: #fff !important;
}

.u-bg--black {
   background-color: #000 !important;
}

.u-bg--primary-dark {
   background-color: #212360 !important;
}

@include bg-opacity('inverse', $brand-inverse);
@include bg-opacity('white', #fff);
@include bg-opacity('black', #000);

// additional background goes here.
.u-bg--superlight {
   background-color: #f1f3f6;
}

.u-bg--indigo {
   background-color: $color-indigo;
}

.u-bg--indigo-light {
   background-color: $color-indigo-light;
}

.u-bg--maroon {
   background-color: $color-maroon;
}

.u-bg--orange {
   background-color: $color-orange;
}

.u-bg--turquiose {
   background-color: $color-turquiose;
}

.u-bg--teal {
   background-color: $color-teal;
}

.u-bg--pink {
   background-color: $color-pink;
}

.u-bg--pink-light {
   background-color: $color-pink-light;
}

.u-bg--yellow {
   background-color: $color-yellow;
}


@mixin background-breakpoint($viewport) {
   .u-bg-#{$viewport}--transparent {
      background-color: transparent;
   }

   .u-bg-#{$viewport}--white {
      background-color: #fff;
   }

   .u-bg-#{$viewport}--superlight {
      background-color: #f1f3f6;
   }

   .u-bg-#{$viewport}--gray-darker {
      background-color: darken($gray-dark, 3%);
   }

   .u-bg-#{$viewport}--gray-dark {
      background-color: $gray-dark;
   }

   .u-bg-#{$viewport}--gray-dark-light {
      background-color: lighten($gray-dark, 5%);
   }

   .u-bg-#{$viewport}--gray {
      background-color: $gray;
   }

   .u-bg-#{$viewport}--transparent {
      background-color: transparent !important;
   }

   @include bg-opacity($viewport + "-inverse", $brand-inverse);
   @include bg-opacity($viewport + "-white", #fff);
   @include bg-opacity($viewport + '-black', #000);
}

@media (min-width: 480px) {
   @include background-breakpoint("xs");
}

@include media-breakpoint-up(sm) {
   @include background-breakpoint("sm");
}

@include media-breakpoint-up(md) {
   @include background-breakpoint("md");
}

@include media-breakpoint-up(lg) {
   @include background-breakpoint("lg");
}

@include media-breakpoint-up(xl) {
   @include background-breakpoint("xl");
}


.u-bg-linear--primary {
   background: linear-gradient (
      rgba(113, 113, 113, 0) 50%,
      rgba(33, 35, 96, 0.8) 100%
   );
}

.u-bg--green-lemon {
   background-color: #A0B436;
}

.u-bg--remove {
   background: none!important;
}

.u-bg-gradient-90--primary {
   background: #2f3292;
   background: linear-gradient(270deg,#2f3292 100%, #212360 80%);
   background: -webkit-linear-gradient(270deg,#2f3292 100%, #212360 80%);
   background: -moz-linear-gradient(270deg,#2f3292 100%, #212360 80%);
}

.u-bg--sand {
   background-color: #EFEFEF;
}

.u-bg-gradient-270--white {
   background: #f2f2f2;
   background: linear-gradient(270deg,#f2f2f2 0%, #ffffff 80%);
   background: -webkit-linear-gradient(270deg,#f2f2f2 0%, #ffffff 80%);
   background: -moz-linear-gradient(270deg,#f2f2f2 0%, #ffffff 80%);
}